| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sAveraging< ParmType > Struct Template Reference

Averaging parameter. More...

`#include <THM1176Types.h>`

Inheritance diagram for MTL::Instrument::THM1176Types::sAveraging< ParmType >:
[legend]

## Public Member Functions
| sAveraging (ParmType< U16 > NPts={ })
| Constructor.
void | clear (void)
| Clear to default (zero).
bool | operator== (sAveraging other) const
| Equality operator.
bool | operator!= (sAveraging other) const
| Inequality operator.

## Public Attributes
ParmType< U16 > | NoPoints {}
| Number of points in block average.

## Detailed Description

template<template< class > class ParmType>
struct MTL::Instrument::THM1176Types::sAveraging< ParmType >

Averaging parameter.

Template Parameters

  ParmType | uParm for value only, or sBoundedParm for value/min/max/default

Definition at line 387 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sAveraging()

template<template< class > class ParmType>

MTL::Instrument::THM1176Types::sAveraging< ParmType >::sAveraging | ( | ParmType< U16 > | NPts = { } | ) |
| inline

Constructor.

Parameters

  [in] | NPts | Number of points in block average.

Definition at line 394 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

template<template< class > class ParmType>

void MTL::Instrument::THM1176Types::sAveraging< ParmType >::clear | ( | void |  | ) |
| inline

Clear to default (zero).

Definition at line 397 of file THM1176Types.h.

## ◆ operator!=()

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sAveraging< ParmType >::operator!= | ( | sAveraging< ParmType > | other | ) | const
| inline

Inequality operator.

Definition at line 405 of file THM1176Types.h.

## ◆ operator==()

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sAveraging< ParmType >::operator== | ( | sAveraging< ParmType > | other | ) | const
| inline

Equality operator.

Definition at line 401 of file THM1176Types.h.

## Member Data Documentation

## ◆ NoPoints

template<template< class > class ParmType>

ParmType<U16> MTL::Instrument::THM1176Types::sAveraging< ParmType >::NoPoints {}

Number of points in block average.

Definition at line 389 of file THM1176Types.h.

The documentation for this struct was generated from the following file:

- THM1176InstrumentDriver/include/THM1176Types.h